﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;


using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Audio;

namespace Colto1 {
    class WordBoard {
        Level1 parent;
        public string content;
        public Rectangle position=new Rectangle(20, 500, 200, 100);
        Texture2D image;
        SpriteFont font;
        public WordBoard(Level1 parent) {
            this.parent = parent;
        }

        public void LoadContent(ContentManager manager) {
            image = manager.Load<Texture2D>("wordboard");
            font = manager.Load<SpriteFont>("SpriteFont1");
        }

        public void Update() {

        }

        public void Draw(SpriteBatch batch) {
            batch.Draw(image, position, Color.White);
            Vector2 wordposition = new Vector2(position.X+parent.location.Width/17.0f, position.Y + parent.location.Height/25.0f);
            batch.DrawString(font, content, wordposition, Color.White);
        }
    }
}
